#ifndef id8138A90B1FE448908902F69738CF6C4C
#define id8138A90B1FE448908902F69738CF6C4C

#include <cstdint>
#include "doorkeeper/helpers/typename.hpp"

namespace dk {
#if defined(USE_MANUAL_TYPENAMES)
	template<> constexpr const char* manual_type_name<bool>() a_pure;
	template<> constexpr const char* manual_type_name<float>() a_pure;
	template<> constexpr const char* manual_type_name<double>() a_pure;
	template<> constexpr const char* manual_type_name<long double>() a_pure;
	template<> constexpr const char* manual_type_name<uint8_t>() a_pure;
	template<> constexpr const char* manual_type_name<uint16_t>() a_pure;
	template<> constexpr const char* manual_type_name<uint32_t>() a_pure;
	template<> constexpr const char* manual_type_name<uint64_t>() a_pure;
	template<> constexpr const char* manual_type_name<int8_t>() a_pure;
	template<> constexpr const char* manual_type_name<int16_t>() a_pure;
	template<> constexpr const char* manual_type_name<int32_t>() a_pure;
	template<> constexpr const char* manual_type_name<int64_t>() a_pure;
	template<> constexpr const char* manual_type_name<wchar_t>() a_pure;
	template<> constexpr const char* manual_type_name<char16_t>() a_pure;
	template<> constexpr const char* manual_type_name<char32_t>() a_pure;
#endif
} //namespace dk

#if defined(USE_MANUAL_TYPENAMES)
#	include "doorkeeper/implem/typename_native.inl"
#endif

#endif
